import { type Base, genBase } from "./_base"

export interface MedicineMethod extends Base {
  name: string
  code: string
}

export interface CreateDto {
  name: string
  code: string
}

export interface GetListDto {
  page: number
  size: number
  name?: string
  code?: string
}

export interface GetDetailDto {
  id?: string
}

export interface UpdateDto extends CreateDto {
  id?: number
}

export interface DeleteDto {
  id?: string
}

export function genMedicine(): MedicineMethod {
  return {
    ...genBase(),
    name: 'name',
    code: 'code',
  }
}
